# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'newspeakie/version'

Gem::Specification.new do |spec|
  spec.name          = "newspeakie"
  spec.version       = Newspeakie::VERSION
  spec.authors       = ["schadenfred"]
  spec.email         = ["fred.schoeneman@gmail.com"]

  spec.summary       = %q{Noun: Ambiguous euphemistic language used chiefly in political propaganda.}
  spec.description   = %q{Newspeak is the language of Oceania, a fictional totalitarian state ruled by the Party, who created the language to meet the ideological requirements of English Socialism (Ingsoc). You can use it to create dummy text for your web app using Faker modules, or write your own language -- a "Duckspeak" in Newspeak parlance and then "Whistle" to get "quacks" using a simple url format: https://newspeak.ie/lorem/sentence.txt }
  spec.homepage      = "https://github.com/schadenfred/newspeakie"
  spec.license       = "MIT"

  # Prevent pushing this gem to RubyGems.org. To allow pushes either set the 'allowed_push_host'
  # to allow pushing to a single host or delete this section to allow pushing to any host.
  # if spec.respond_to?(:metadata)
  #   spec.metadata['allowed_push_host'] = "TODO: Set to 'http://mygemserver.com'"
  # else
  #   raise "RubyGems 2.0 or newer is required to protect against " \
  #     "public gem pushes."
  # end

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = "exe"
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ["lib"]

  spec.add_development_dependency "bundler", "~> 1.14"
  spec.add_development_dependency "rake", "~> 10.0"
  spec.add_development_dependency "minitest", "~> 5.0"
  spec.add_development_dependency "minitest-vcr"
  spec.add_development_dependency "webmock"
  spec.add_development_dependency "faraday"
  spec.add_development_dependency "mocha"
  spec.add_development_dependency "byebug"
end
